{% extends 'story6/base.html'%}
{% block content %}

<div class="container py-4">
    <style>
        body {
        background-color:#CD8B76;;
        }
    </style>
    

    <Form method="POST" class="row my-5">
        {% csrf_token %}
        <div class="col-7 ml-auto">
            {{ formA.activity }}
        </div>
        <button type="submit" class="btn btn-info col-2 mr-auto">Add</button>
    </Form>
    <hr>
    {% if messages %}
    {% for message in messages %}
    <div class="alert alert-{{ message.tags }} alert-dismissible fade show mt-4" role="alert">
        {{ message }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    {% endfor %}
    {% endif %}
    <div class="d-flex justify-content-around flex-wrap pb-4">
        {% for activity in activities %}
        <div class="card bg-light mt-5" style="width: 18rem;">
            <div class="card-header">
                <div class="row">
                    <h5 class="col-10 mb-2">{{ activity }}</h5>
                    <a href="{% url 'story6:activityDelete' activity.id %}" class="col-2">
                        <button type="button" class="close mb-2">&times;</button>
                    </a>
                </div>
            </div>
            <div class="card-body">
                <h6 class="card-title">Members:</h6>
                <p></p>
                <ul>

                    {% for member in members %}
                    {% if member.aktivitas.id == activity.id %}
                    <li class="row">
                        <h5 class="col-10">{{ member }}</h5>
                        <a href="{% url 'story6:memberDelete' member.id %}" class="col-2">
                            <button type="button" class="close">&times;</button>
                        </a>    
                    </li>
                    {% endif %}
                    {% endfor %}

                </ul>
                <form method="POST">
                    {% csrf_token %}
                    {{ formB.member }}
                    <input name="aktivitas" type="text" value="{{ activity.id }}" style="display: none;">
                    <button type="submit" class="btn btn-outline-info col-6 mt-2">Join</button>
                </form>
            </div>
        </div>
        {% endfor %}
    </div>
</div>

{% endblock content %}